Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
observability
/
deployments
/
{deploymentId}
/
metrics
Get Model Metrics
curl --request GET \
  --url https://api.tensormesh.ai/v1/observability/deployments/{deploymentId}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "metrics": [
    {
      "name": "<string>",
      "data": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Path Parameters

deploymentId
string
required

Deployment ID to retrieve metrics for. Must be provided.

Query Parameters

userId
string

User ID for authorization. Must be a valid UUID.

startTime
string<date-time>

Optional start time for the metrics query.

endTime
string<date-time>

Optional end time for the metrics query.

stepSeconds
number<float>

Optional step size for the metrics query.

Response

A successful response.

GetModelMetricsResponse contains the deployment metrics.

metrics
object[]

Metrics data.